Page MenuHomePhabricator

Adyen GB form not loading correctly
Closed, ResolvedPublic2 Story Points

Description

@Pcoombe went to this url while in the UK:

https://payments.wikimedia.org/index.php?title=Special:AdyenGateway&appeal=JimmyQuote&ffname=adyen&payment_method=cc&recurring=&uselang=en&language=en&currency_code=GBP&amount=1&country=GB&utm_source=internal_test

his result:
The iframe won't load for me :(

I get a message "Unfortunately we were unable to process this request" and looking at the source reveals a hidden comment <!-- error summary: Billing address is incomplete -->. I filled out all the address fields that are shown, is it still expecting a state or county?

Event Timeline

DStrine created this task.Oct 5 2016, 4:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 5 2016, 4:26 PM
XenoRyet claimed this task.Oct 11 2016, 9:28 PM
XenoRyet moved this task from Backlog to Doing on the Fundraising Sprint Stirring The Pot board.

Change 319235 had a related patch set uploaded (by XenoRyet):
Adyen GB fix

https://gerrit.wikimedia.org/r/319235

Change 319235 merged by jenkins-bot:
Adyen GB fix

https://gerrit.wikimedia.org/r/319235

Fix is deployed and the Adyen GB form is ready for another internal test.

All right! Two apparently successful donations, one with a MasterCard credit card and one with a Visa debit card. TY emails took a few minutes, but both have now arrived and look good.

XenoRyet closed this task as Resolved.Nov 2 2016, 11:39 PM
DStrine set the point value for this task to 2.Nov 9 2016, 11:34 PM